Loading...
Searching...
No Matches
BALL::FPTBondOrderStrategy::DPBackTracking_::StateComparator_ Struct Reference

`#include <BALL/STRUCTURE/BONDORDERS/FPTBondOrderStrategy.h>`

## Public Member Functions

bool | operator() (BackTrackingState_ const *left, BackTrackingState_ const *right) const

## Detailed Description

Defines the Min-order for BackTrackingState-pointer instances in the queue

Definition at line 1067 of file FPTBondOrderStrategy.h.

## Member Function Documentation

## operator()()

bool BALL::FPTBondOrderStrategy::DPBackTracking_::StateComparator_::operator() | ( | BackTrackingState_ const * | left,
|  | BackTrackingState_ const * | right ) const

Comparison is done by dereferencing the pointer